MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027792Open CASCADE[OCCT] OCCT:Foundation Classespublic2016-08-18 16:122017-07-27 09:43
Reporterdbp 
Assigned Todbp 
PrioritynormalSeverityminor 
StatusassignedResolutionopen 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0027792: TKMath, BVH -- Add tesselator API and implement base marching cube (MC) tessellator
DescriptionThe goal is to extend BVH package with complete set of algorithms allowing generation of distant fields from meshes (or another objects) and tessellation of distant fields. This allows to implement some geometrical algorithm in quite elegant way. E.g., the offset mesh for the given mesh can be calculated in the following way: the input mesh is converted into distant field that represetns the mesh in form of implicit function D(x, y, z) = 0. After that, for generation of offet mesh we need to perform tessellation of implicit function D(x, y, z) - T = 0, where T is desired offset distance.
Steps To ReproduceN/A
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0056830)
git (administrator)
2016-08-18 16:14

Branch CR27792 has been created by dbp.

SHA-1: a474d251529ba54448981f6863ccddcb59393d61


Detailed log of new commits:

Author: dbp
Date: Thu Aug 18 16:15:26 2016 +0300

    0027792: TKMath, BVH -- Add tesselator API and implement base marching cube (MC) tessellator
    
    The goal is to extend BVH package with complete set of algorithms allowing generation of
    distant fields from meshes (or another objects) and tessellation of distant fields. This
    allows to implement some geometrical algorithm in quite elegant way. E.g., the offset mesh
    for the given mesh can be calculated in the following way: the input mesh is converted into
    distant field that represents the mesh in form of implicit function D(x, y, z) = 0. After that,
    for generation of offset mesh we need to perform tessellation of implicit function D(x, y, z) - T = 0,
    where T is desired offset distance.
(0056831)
dbp (developer)
2016-08-18 16:17

Dear abv,

Could you please review the patch in branch CR27792?
(0056863)
abv (manager)
2016-08-19 12:33

As we discussed, please consider:

- replacing macros (like BVH_DOT3 in BVH_DistanceField.hxx) by inline functions

- providing some tests for the new functionality

- revising the template arguments of the classes that are intended to work only with 3d objects, to exclude dimension argument N, which suggests that the class can work with any dimension. I propose using typed argument instead of plain number, and providing reasonable default for most typical situation of using 3d double vectors.

- Issue History
Date Modified Username Field Change
2016-08-18 16:12 dbp New Issue
2016-08-18 16:12 dbp Assigned To => abv
2016-08-18 16:12 dbp Assigned To abv => dbp
2016-08-18 16:14 git Note Added: 0056830
2016-08-18 16:17 dbp Note Added: 0056831
2016-08-18 16:17 dbp Assigned To dbp => abv
2016-08-18 16:17 dbp Status new => resolved
2016-08-18 16:17 dbp Steps to Reproduce Updated View Revisions
2016-08-19 12:33 abv Note Added: 0056863
2016-08-19 12:33 abv Status resolved => assigned
2016-08-19 12:34 abv Assigned To abv => dbp
2016-11-03 17:38 abv Target Version 7.1.0 => 7.2.0
2017-07-27 09:43 abv Target Version 7.2.0 => 7.4.0*


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker